package org.appfuse.service.impl;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public class BaseManager {
    // Adding this log variable will allow children to re-use it
    protected final Log log = LogFactory.getLog(getClass());
    protected static Map cache;
    
    protected void putIntoCache(String key, Object value) {
         if (cache == null) {
            cache = new HashMap();
         }
         cache.put(key, value);
    }
    
    protected void removeFromCache(String key) {
        if (cache != null) {
            cache.remove(key);
        }
    }
}
